Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.classloading.plugins
Class SystemDomainClassLoader

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.classloading.plugins.DelegatingDomainClassLoader
              org.jboss.classloading.plugins.SystemDomainClassLoader

All Implemented Interfaces:
  Cloneable, DomainClassLoader, org.jboss.util.JBossInterface

public class SystemDomainClassLoader
extends DelegatingDomainClassLoader

A delegate domain classloader.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.classloading.plugins.DelegatingDomainClassLoader
`delegate, domain`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`SystemDomainClassLoader()` Create a new system domain classloader

Method Summary
`Set` | `getPackageNames()` Get the packages defined by the classloader

Methods inherited from class org.jboss.classloading.plugins.DelegatingDomainClassLoader
`getDomain, getPackage, loadClassLocally, loadResourceLocally, setDomain, toShortString, toString`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Constructor Detail

### SystemDomainClassLoader

    public SystemDomainClassLoader()

  Create a new system domain classloader

Method Detail

### getPackageNames

    public Set getPackageNames()

  Description copied from interface: `DomainClassLoader`
  Get the packages defined by the classloader

  Specified by:
    `getPackageNames` in interface `DomainClassLoader`
  Overrides:
    `getPackageNames` in class `DelegatingDomainClassLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.